<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
  <!-- basic -->
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <!-- mobile metas -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="initial-scale=1, maximum-scale=1">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">

  <title>HiCamp</title>
  <style>
    .newTable tr {
      display: flex;
      margin: 10px 0px;
    }

    .newTable td {
      display: block;
      margin: 0px 10px;
    }
  </style>
</head>

<body class="dashboard dashboard_1">
  <div class="full_container">
    <div class="inner_container">
      <!-- Sidebar  -->
      <div th:replace="~{layout/leftbar}"></div>
      <!-- right content -->
      <div id="content">
        <!-- topbar -->
        <div th:replace="~{layout/topbar}"></div>
        <!-- end topbar -->
        <!-- dashboard inner -->
        <div class="midde_cont">
          <div class="container-fluid">
            <div class="row column_title">
              <div class="col-md-12">
                <div class="page_title" style="display: flex; align-items: center;">
                  <h2>商品管理</h2><!-- 這裡不要忘了換 -->
                  <button class="create btn btn-outline-danger btn-lg" data-bs-toggle="modal"
                    data-bs-target="#exampleModal" style="margin-left: 50px">
                    新增商品</button>
                </div>
              </div>
            </div>

            <!-- 從這裡開始改喔 -->
            <div class="table" style="width: 90%; margin: 0 auto;">
              <table id="example" class="hover" style="width: 100%; font-size: 20px;">
                <thead>
                  <tr>
                    <th>商品編號</th>
                    <th>商品分類</th>
                    <th>商品名稱</th>
                    <th>金額</th>
                    <th>數量</th>
                    <th>狀態</th>
                    <th>編輯</th>
                  </tr>
                </thead>
                <tbody>
                  <th:block th:each="product : ${products}">
                    <tr>
                      <td th:text="${product.productNo}"></td>
                      <td th:text="${product.productType}"></td>
                      <td th:text="${product.productName}"></td>
                      <td th:text="${product.productPrice}"></td>
                      <td th:text="${product.productQuantity}"></td>
                      <td th:text="${product.productStutas}"></td>
                      <form th:action="@{/product/aProduct}" method="get">
                        <input name="productNo" th:value="${product.productNo}" type="hidden">
                        <td><button class="btn btn-sm edit">編輯</button></td>
                      </form>
                    </tr>
                  </th:block>
                </tbody>
                <tfoot>
                  <tr>
                    <th>商品編號</th>
                    <th>商品分類</th>
                    <th>商品名稱</th>
                    <th>金額</th>
                    <th>數量</th>
                    <th>狀態</th>
                    <th>編輯</th>
                  </tr>
                </tfoot>
              </table>
            </div>
            <!-- 只能到這裡喔 -->

            <div class="modal fade" id="exampleModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
              aria-labelledby="exampleModalLabel" aria-hidden="true">
              <div class="modal-dialog modal-lg">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">新增商品</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                  </div>
                  <div class="modal-body">
                    <form id="addImage" action="#" enctype="multipart/form-data" method="post">
                      <div style="display: flex; justify-content: space-around;">
                        <div>
                          <table class="newTable" style="width: 350px; font-size: 20px;">
                            <tr>
                              <td>商品標題</td>
                              <td><input id="productName" name="productName" class="form-control" style="width:200px;"
                                  required></td>
                            </tr>
                            <tr>
                              <td>商品型態</td>
                              <td><select id="productType" name="productType" class="form-select" style="width:200px;">
                                  <option value="服飾">服飾</option>
                                  <option value="配件">配件</option>
                                  <option value="露營">露營</option>
                                  <option value="登山健行">登山健行</option>
                                </select></td>
                            </tr>
                            <tr>
                              <td>商品介紹</td>
                              <td><textarea id="productInfo" name="productInfo" class="form-control" row="5"
                                  style="width:200px;"></textarea>
                              </td>
                            </tr>
                            <tr>
                              <td>商品金額</td>
                              <td><input id="productPrice" name="productPrice" class="form-control" style="width:200px;"
                                  required></td>
                            </tr>
                            <tr>
                              <td>庫存數量</td>
                              <td><input id="productQuantity" name="productQuantity" class="form-control" type="number"
                                  style="width:200px;" required>
                              </td>
                            </tr>
                            <tr>
                              <td>商品狀態</td>
                              <td><select id="productStutas" name="productStutas" class="form-select"
                                  style="width:200px;">
                                  <option value="上架">上架</option>
                                  <option value="未上架">未上架</option>
                                  <option value="下架">下架</option>
                                </select></td>
                            </tr>
                          </table>
                        </div>

                        <div style="width:300px;">
                          <div class="col">
                            <h4> 請輸入五張介紹圖片: </h4>
                            <input type="file" id="pics" name="files" class="form-control" multiple />
                            <div id="preview_pics" style="margin-top: 20px;"> </div>
                          </div>
                          <div class="modal-footer">
                            <button id="inputBtn" type="button" class="btn btn-primary">一鍵輸入</button>
                            <button id="uploadBtn" type="submit" class="btn btn-primary">送出</button>
                          </div>
                        </div>
                      </div>
                    </form>



                  </div>

                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ"
    crossorigin="anonymous"></script>
  <script>
    let uploadBtn = document.getElementById('uploadBtn');
    uploadBtn.addEventListener('click', (e) => {
      e.preventDefault(); // 移除原本form表單功能(送出)
      let addImg = document.getElementById('addImage');
      let formimgObject = new FormData(addImg);
      sendDataRequest(formimgObject);
    })

    function sendDataRequest(formaddObject) {
      axios.post('http://localhost:8080/HiCamp/product/addProduct', formaddObject)
        .then(response => {
          console.log('add product okkkkkkk');
          window.location.href = "http://localhost:8080/HiCamp/productHome"
        })
        .catch(err => {
          console.log('wrongggggggg --err: ' + err);
        })
    }


    $("#bigPic").change(function () {
      readURL(this);
    });
    function readURL(input) {
      if (input.files && input.files[0]) {
        var reader = new FileReader();
        reader.onload = function (e) {
          var img = $("<img width='200' height='150'>").attr('src', e.target.result);
          $('#preview_pic').append(img);
        }
        reader.readAsDataURL(input.files[0]);
      }
    }
    $("#pics").change(function () {
      $("#preview_pics").html();
      readURLs(this);
    });
    function readURLs(input) {
      if (input.files && input.files.length >= 0 && input.files.length <= 5) {
        for (let i = 0; i < input.files.length; i++) {
          var reader = new FileReader();
          reader.onload = function (e) {
            var img = $("<img width='200'>").attr('src', e.target.result);
            $('#preview_pics').append(img);
          }
          reader.readAsDataURL(input.files[i]);
        }
      }
    }

    let inputBtn = document.getElementById('inputBtn');
    inputBtn.addEventListener('click', (e) => {
      $("#productName").val("吸濕快乾登山機能長褲");
      $("#productType").val("服飾");
      $("#productInfo").val(`布料四面彈性活動零阻礙  採用3M吸濕排汗快乾舒適 抗UV有效阻擋紫外線`);
      $("#productPrice").val(Math.floor(Math.random() * 10001));
      $("#productQuantity").val(Math.floor(Math.random() * 11));
      $("#productStutas").val("上架");
    })


  </script>
  <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.js"></script>
	<script>
      $(document).ready(function () {
         $('#example').DataTable();
      });
   </script>
  </body>

</html>